
From: Hugh Dickins <hugh@veritas.com>

mm/shmem.c was converted to i_size_read in -test1, and the remaining
references to a file's naked i_size are safely protected by i_sem;
but surely shmem_file_write must use i_size_write to update i_size.



 25-akpm/mm/shmem.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN mm/shmem.c~tmpfs-06-i_size_write mm/shmem.c
--- 25/mm/shmem.c~tmpfs-06-i_size_write	Wed Oct 15 12:19:18 2003
+++ 25-akpm/mm/shmem.c	Wed Oct 15 12:19:18 2003
@@ -1239,7 +1239,7 @@ shmem_file_write(struct file *file, cons
 		pos += bytes;
 		buf += bytes;
 		if (pos > inode->i_size)
-			inode->i_size = pos;
+			i_size_write(inode, pos);
 
 		flush_dcache_page(page);
 		set_page_dirty(page);

_
